<template>
  <div></div>
</template>
<script>
import { mapGetters } from 'vuex'
export default {
  data() {
    return {
      SSO: window.location.hash
    }
  },
  created() {
    this.initLogin()
    console.log(this.SSO)
  },
  computed: {
    ...mapGetters(['tagWel'])
  },
  methods: {
    initLogin() {
      const code = this.SSO.split('&')[0].split('=')[1]
      console.log(code)

      if (code) {
        this.$store.dispatch('LoginBySSO', code).then(() => {
          this.$router.push({ path: this.tagWel.value })
        })
      }
    }
  }
}
</script>
<style scoped></style>
